<?php
namespace DaReactions\Abstracts;
use WP_List_Table;
/**
 *
 */
abstract class AbstractAdminListPage extends AbstractAdminPage
{
    /**
     * @var WP_List_Table
     */
    private $table;
    /**
     * @return WP_List_Table
     */
    public function getTable()
    {
        return $this->table;
    }
    /**
     * @param WP_List_Table $table
     */
    public function setTable(WP_List_Table $table): void
    {
        $this->table = $table;
    }
    public function displayTable(WP_List_Table $table = null)
    {
        if (isset($table)) {
            $this->table = $table;
        }
        $this->table->prepare_items();
        $page_url = add_query_arg([
            'page' => 'da-reactions_votes_list',
        ], get_admin_url() . 'admin.php');
        echo '<form id="forms-table" method="GET" action="' . $page_url . '">';
        echo '<input type="hidden" name="da-reactions-nocache" value="' . (isset($_GET['da-reactions-nocache']) ? 'true' : 'false') . '">';
        $this->table->display();
        echo '</form>';
    }
}
