<div class="icon-select-window-background">
    <div class="icon-select-window">
        <?php
        if (darea_fs()->is__premium_only()) {
            ?>
            <p>
                <a id="button_settings_upload_image_button"
                   href="#"
                   class="button button-primary">
                    <?php _e('Upload image', 'da-reactions'); ?>
                </a>
            </p>
            <?php
        }
        ?>
        <h2><?php _e('Choose SVG from those available:', 'da-reactions'); ?></h2>
        <a href="javascript:" class="close">
            <img alt="Unchecked"
                 src="<?= DA_REACTIONS_URL ?>assets/dist/close.svg"
                 width="64">
        </a>
        <div class="icon-list">
            <?php foreach ($files as $dir => $file) { ?>
                <?php if (is_array($file)) { ?>
                    <?php foreach ($file as $sub_file) { ?>
                        <div class="icon">
                            <img alt="<?= $sub_file ?> icon"
                                 src="<?= DA_REACTIONS_URL ?>assets/icons/svg/<?= $dir ?>/<?= $sub_file ?>"
                                 width="64"/>
                        </div>
                    <?php } ?>
                <?php } else { ?>
                    <div class="icon">
                        <img alt="<?= $file ?> icon"
                             src="<?= DA_REACTIONS_URL ?>assets/icons/svg/<?= $file ?>"
                             width="64"/>
                    </div>
                <?php } ?>
            <?php } ?>
        </div>
    </div>
</div>
